## GtkSeparator GtkSeparator — Base class for GtkHSeparator and GtkVSeparator |

## Synopsis

    #include <gtk/gtk.h>

                        GtkSeparator;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkSeparator
                               +----GtkHSeparator
                               +----GtkVSeparator

## Implemented Interfaces

GtkSeparator implements AtkImplementorIface and GtkBuildable.

## Description

The GtkSeparator widget is an abstract class, used only for deriving the subclasses GtkHSeparator and GtkVSeparator.

## Details

### GtkSeparator

    typedef struct _GtkSeparator GtkSeparator;

The GtkSeparator struct contains private data only.